//-----------------------------------------------------------------------------
//
// \brief   Autogenerated arena platform class implementation
//
//          Dont edit this file. It will get overwritten!
//
//-----------------------------------------------------------------------------


#include "platform_generated.h"
#include <biwak/timer.h>
#include <biwak/stm32/timer.h>
#include <biwak/crc.h>
#include <biwak/wkup.h>
#include <biwak/exti.h>
#include <biwak/led.h>
#include <biwak/pwm.h>
#include <biwak/stm32/pwm.h>
#include <biwak/uart.h>
#include <biwak/stm32/uart.h>


static constexpr STimerConfig timerConfig_TIM2
{
   TIM2,
   TIM2_IRQn, ePeripheralAPB1,
   .interrupt=interruptTim2,
};

static constexpr SExtiConfig extiConfig_EXTI0
{
   EXTI0_1_IRQn,
   interruptExti0,
};

static constexpr SPwmLineConfig pwmLineConfig_TIM2_CH2_PA1
{
   .eGpioPeripheral=eGpioPeripheralA,
   .eGpioPin=eGpioPin1,
   .altFunc=GPIO_AF2_TIM2,
   .eTimerChannel=eTimerChannel2
};

static constexpr SUartConfig uartConfig_UART2_PA2_PA3
{
.instance   = USART2,
.irq        = USART2_IRQn,
.interrupt      = interruptUart2,
.altFunc    = GPIO_AF4_USART2,
.eGpioPeripheralRx = eGpioPeripheralA,
.eGpioPinRx        =  eGpioPin3,
.eGpioPeripheralTx = eGpioPeripheralA,
.eGpioPinTx        =  eGpioPin2,
};



CPlatform::CPlatform()
      :m_crc1() /* order:1, ID:1484 */
      ,m_pwmBuzzer_timer(timerConfig_TIM2) /* order:1, ID:1037 */
      ,m_wkupUser1_exti1(extiConfig_EXTI0) /* order:1, ID:1081 */
      ,m_ledHeartbeat(eGpioPeripheralA, eGpioPin5) /* order:2, ID:1322 */
      ,m_wkupUser1(m_wkupUser1_exti1, eGpioPeripheralA, eGpioPin0, PWR_WAKEUP_PIN1) /* order:2, ID:1079 */
      ,m_ledTime5(eGpioPeripheralA, eGpioPin9) /* order:2, ID:1561 */
      ,m_ledTime4(eGpioPeripheralC, eGpioPin15) /* order:2, ID:1559 */
      ,m_ledTime3(eGpioPeripheralA, eGpioPin6) /* order:2, ID:1557 */
      ,m_ledTime2(eGpioPeripheralA, eGpioPin7) /* order:2, ID:1555 */
      ,m_ledTime1(eGpioPeripheralA, eGpioPin4) /* order:2, ID:1553 */
      ,m_ledUser(eGpioPeripheralC, eGpioPin14) /* order:2, ID:1551 */
      ,m_pwmBuzzer(pwmLineConfig_TIM2_CH2_PA1, m_pwmBuzzer_timer) /* order:2, ID:1052 */
      ,m_uartDebug(uartConfig_UART2_PA2_PA3) /* order:2, ID:1044 */

{
   
}



//---fin-----------------------------------------------------------------------
